<?php
namespace Tinkoff\CreditBroker;

class ReceiptItem
{

	private $name;
	private $price;
	private $quantity;

	public function __construct($name, $price, $quantity = 1)
	{
		$this->name     = $name;
		$this->price    = $price;
		$this->quantity = intval($quantity);
	}

	public function setPrice($price)
	{
		$this->price = $price;
		return $this;
	}

	public function setQuantity($quantity)
	{
		$this->quantity = intval($quantity);
		return $this;
	}

	public function toArray()
	{
		return [
			'name'     => $this->name,
			'price'    => $this->price,
			'quantity' => $this->quantity,
		];
	}
}
